class DistributionList

# class DistributionList | Distribution list of email addresses. More...
Full name | `KABC::DistributionList`
Definition | `#include <distributionlist.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- struct Entry

#### Public Methods

- DistributionList ( DistributionListManager *manager, const QString &name )
- ~DistributionList ()
- void setName ( const QString & )
- QString name () const
- void insertEntry ( const Addressee &, const QString &email=QString::null )
- void removeEntry ( const Addressee &, const QString &email=QString::null )
- QStringList emails () const
- Entry::List entries () const

## Detailed Description

This class represents a list of email addresses. Each email address is associated with an address book entry. If the address book entry changes, the entry in the distribution list is automatically updated.

Entry (struct) | ### Entry

This class represents an entry of a distribution list. It consists of an addressee and an email address. If the email address is null, the preferred email address of the addressee is used.

DistributionList ( DistributionListManager *manager, const QString &name ) | ### DistributionList

Create distribution list object.

Parameters:

manager | Managing object of this list.
name | Name of this list.

~DistributionList () | ### ~DistributionList

Destructor.

void setName ( const QString & ) | ### setName

Set name of this list. The name is used as key by the DistributinListManager.

QString name () | ### name

[const]

Get name of this list.

void insertEntry ( const Addressee &, const QString &email=QString::null ) | ### insertEntry

Insert an entry into this distribution list. If the entry already exists nothing happens.

void removeEntry ( const Addressee &, const QString &email=QString::null ) | ### removeEntry

Remove an entry from this distribution list. If the entry doesn't exist nothing happens.

QStringList emails () | ### emails

[const]

Return list of email addresses, which belong to this distributon list. These addresses can be directly used by e.g. a mail client.

Entry::List entries () | ### entries

[const]

Return list of entries belonging to this distribution list. This function is mainly useful for a distribution list editor.

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:38:02 2003, using kdoc 2.0a54.